// pages/fenggu/takephoto/takephoto.js
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },
  takePhoto() {
    // wx.getStorageSync('photoFrame')
    const ctx = wx.createCameraContext()
    const listener  =  ctx.onCameraFrame((e) => {
      console.log(e.data)
      wx.setStorageSync({
        key:'photoFrame',
        data:JSON.stringify(e.data)
      })
    })
    listener.start()
    // ctx.takePhoto({
    //   quality: 'high',
    //   success: (res) => {
    //     console.log(res)
    //     this.setData({
    //       src: res.tempImagePath
    //     })
    //   }
    // })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.takePhoto()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})